Security change on December 1, 2026: TLS 1.2 will become the minimum standard for 365 business Print Agent. Details and system requirements
365 business development
365 business development API

Generates the participant's A, X and E keys locally as an asynchronous job.

POST
https://api.365businessapi.com
/api/banking/v1/ebics/initialization/keys
key (query)

Generates the participant's A, X and E keys locally as an asynchronous job. › query Parameters

idempotencyKey
​string · required

The idempotency key query value.

Generates the participant's A, X and E keys locally as an asynchronous job. › Headers

X-API-KEY
​string · required

The x-api-key header value.

Generates the participant's A, X and E keys locally as an asynchronous job. › Request Body

signatureVersion
​businessdev.blebics.Contracts.Enums.EbicsSignatureVersion · enum
Enum values:
A005
A006
keyPassword
​string
signatureKeyLength
​integer · int32
protocolKeyLength
​integer · int32
useCertificates
​boolean
certificateCommonName
​string | null
certificateValidityYears
​integer · int32

Generates the participant's A, X and E keys locally as an asynchronous job. › Responses

200

OK

Wraps the durable admission result returned with HTTP 202.

Contains the durable admission data of one EBICS job.

Enum values:
None
Ok
Error
NotFound
BadRequest
UnauthorizedAccess
DebugSessionResult
TooManyRequests
processingTimeInMilliseconds
​integer · int64

Sends the participant's signature key using INI.

POST
https://api.365businessapi.com
/api/banking/v1/ebics/initialization/ini
key (query)

Sends the participant's signature key using INI. › query Parameters

idempotencyKey
​string · required

The idempotency key query value.

Sends the participant's signature key using INI. › Headers

X-API-KEY
​string · required

The x-api-key header value.

Sends the participant's signature key using INI. › Request Body

Sends the participant's signature key using INI. › Responses

200

OK

Wraps the durable admission result returned with HTTP 202.

Contains the durable admission data of one EBICS job.

Enum values:
None
Ok
Error
NotFound
BadRequest
UnauthorizedAccess
DebugSessionResult
TooManyRequests
processingTimeInMilliseconds
​integer · int64

Sends the participant's authentication and encryption keys using HIA.

POST
https://api.365businessapi.com
/api/banking/v1/ebics/initialization/hia
key (query)

Sends the participant's authentication and encryption keys using HIA. › query Parameters

idempotencyKey
​string · required

The idempotency key query value.

Sends the participant's authentication and encryption keys using HIA. › Headers

X-API-KEY
​string · required

The x-api-key header value.

Sends the participant's authentication and encryption keys using HIA. › Request Body

Sends the participant's authentication and encryption keys using HIA. › Responses

200

OK

Wraps the durable admission result returned with HTTP 202.

Contains the durable admission data of one EBICS job.

Enum values:
None
Ok
Error
NotFound
BadRequest
UnauthorizedAccess
DebugSessionResult
TooManyRequests
processingTimeInMilliseconds
​integer · int64

Downloads bank keys with HPB and verifies their E002 and X002 hashes.

POST
https://api.365businessapi.com
/api/banking/v1/ebics/initialization/bank-keys
key (query)

Downloads bank keys with HPB and verifies their E002 and X002 hashes. › query Parameters

idempotencyKey
​string · required

The idempotency key query value.

Downloads bank keys with HPB and verifies their E002 and X002 hashes. › Headers

X-API-KEY
​string · required

The x-api-key header value.

Downloads bank keys with HPB and verifies their E002 and X002 hashes. › Request Body

Downloads bank keys with HPB and verifies their E002 and X002 hashes. › Responses

200

OK

Wraps the durable admission result returned with HTTP 202.

Contains the durable admission data of one EBICS job.

Enum values:
None
Ok
Error
NotFound
BadRequest
UnauthorizedAccess
DebugSessionResult
TooManyRequests
processingTimeInMilliseconds
​integer · int64